> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/action.md).

# Action

action

## Search Actions

> Search all Actions this user has access to

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"action","description":"action"}],"servers":[{"url":"/api"}],"paths":{"/action":{"get":{"tags":["action"],"summary":"Search Actions","description":"Search all Actions this user has access to","operationId":"actionSearch","parameters":[{"name":"actionId","in":"query","description":"Filter by Action Id","required":false,"schema":{"type":"integer"}},{"name":"ownerId","in":"query","description":"Filter by Owner Id","required":false,"schema":{"type":"integer"}},{"name":"triggerType","in":"query","description":"Filter by Action trigger type","required":false,"schema":{"type":"string"}},{"name":"triggerCode","in":"query","description":"Filter by Action trigger code","required":false,"schema":{"type":"string"}},{"name":"actionType","in":"query","description":"Filter by Action type","required":false,"schema":{"type":"string"}},{"name":"source","in":"query","description":"Filter by Action source","required":false,"schema":{"type":"string"}},{"name":"sourceId","in":"query","description":"Filter by Action source Id","required":false,"schema":{"type":"integer"}},{"name":"target","in":"query","description":"Filter by Action target","required":false,"schema":{"type":"string"}},{"name":"targetId","in":"query","description":"Filter by Action target Id","required":false,"schema":{"type":"integer"}},{"name":"layoutId","in":"query","description":"Return all actions pertaining to a particular Layout","required":false,"schema":{"type":"integer"}},{"name":"sourceOrTargetId","in":"query","description":"Return all actions related to a source or target with the provided ID","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Action"}}}}}}}}},"components":{"schemas":{"Action":{"description":"Class Action","properties":{"actionId":{"description":"The Action Id","type":"integer"},"ownerId":{"description":"The Owner Id","type":"integer"},"triggerType":{"description":"The Action trigger type","type":"string"},"triggerCode":{"description":"The Action trigger code","type":"string"},"actionType":{"description":"The Action type","type":"string"},"source":{"description":"The Action source (layout, region or widget)","type":"string"},"sourceId":{"description":"The Action source Id (layoutId, regionId or widgetId)","type":"integer"},"target":{"description":"The Action target (region)","type":"string"},"targetId":{"description":"The Action target Id (regionId)","type":"integer"},"widgetId":{"description":"Widget ID that will be loaded as a result of navigate to Widget Action type","type":"integer"},"layoutCode":{"description":"Layout Code identifier","type":"string"},"layoutId":{"description":"Layout Id associated with this Action","type":"integer"}},"type":"object"}}}}
```

## Add Action

> Add a new Action

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"action","description":"action"}],"servers":[{"url":"/api"}],"paths":{"/action":{"post":{"tags":["action"],"summary":"Add Action","description":"Add a new Action","operationId":"actionAdd","requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["layoutId","actionType","target"],"properties":{"layoutId":{"description":"LayoutId associted with this Action","type":"integer"},"actionType":{"description":"Action type, next, previous, navLayout, navWidget","type":"string"},"target":{"description":"Target for this action, screen or region","type":"string"},"targetId":{"description":"The id of the target for this action - regionId if the target is set to region","type":"string"},"source":{"description":"Source for this action layout, region or widget","type":"string"},"sourceId":{"description":"The id of the source object, layoutId, regionId or widgetId","type":"integer"},"triggerType":{"description":"Action trigger type, touch or webhook","type":"string"},"triggerCode":{"description":"Action trigger code","type":"string"},"widgetId":{"description":"For navWidget actionType, the WidgetId to navigate to","type":"integer"},"layoutCode":{"description":"For navLayout, the Layout Code identifier to navigate to","type":"string"}},"type":"object"}}}},"responses":{"201":{"description":"successful operation","headers":{"Location":{"description":"Location of the new record","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Action"}}}}}}}},"components":{"schemas":{"Action":{"description":"Class Action","properties":{"actionId":{"description":"The Action Id","type":"integer"},"ownerId":{"description":"The Owner Id","type":"integer"},"triggerType":{"description":"The Action trigger type","type":"string"},"triggerCode":{"description":"The Action trigger code","type":"string"},"actionType":{"description":"The Action type","type":"string"},"source":{"description":"The Action source (layout, region or widget)","type":"string"},"sourceId":{"description":"The Action source Id (layoutId, regionId or widgetId)","type":"integer"},"target":{"description":"The Action target (region)","type":"string"},"targetId":{"description":"The Action target Id (regionId)","type":"integer"},"widgetId":{"description":"Widget ID that will be loaded as a result of navigate to Widget Action type","type":"integer"},"layoutCode":{"description":"Layout Code identifier","type":"string"},"layoutId":{"description":"Layout Id associated with this Action","type":"integer"}},"type":"object"}}}}
```

## Edit Action

> Edit a new Action

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"action","description":"action"}],"servers":[{"url":"/api"}],"paths":{"/action/{actionId}":{"put":{"tags":["action"],"summary":"Edit Action","description":"Edit a new Action","operationId":"actionEdit","parameters":[{"name":"actionId","in":"path","description":"Action ID to edit","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["layoutId","actionType","target","source","sourceId","triggerType"],"properties":{"layoutId":{"description":"LayoutId associted with this Action","type":"integer"},"actionType":{"description":"Action type, next, previous, navLayout, navWidget","type":"string"},"target":{"description":"Target for this action, screen or region","type":"string"},"targetId":{"description":"The id of the target for this action - regionId if the target is set to region","type":"string"},"source":{"description":"Source for this action layout, region or widget","type":"string"},"sourceId":{"description":"The id of the source object, layoutId, regionId or widgetId","type":"integer"},"triggerType":{"description":"Action trigger type, touch or webhook","type":"string"},"triggerCode":{"description":"Action trigger code","type":"string"},"widgetId":{"description":"For navWidget actionType, the WidgetId to navigate to","type":"integer"},"layoutCode":{"description":"For navLayout, the Layout Code identifier to navigate to","type":"string"}},"type":"object"}}}},"responses":{"201":{"description":"successful operation","headers":{"Location":{"description":"Location of the new record","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Action"}}}}}}}},"components":{"schemas":{"Action":{"description":"Class Action","properties":{"actionId":{"description":"The Action Id","type":"integer"},"ownerId":{"description":"The Owner Id","type":"integer"},"triggerType":{"description":"The Action trigger type","type":"string"},"triggerCode":{"description":"The Action trigger code","type":"string"},"actionType":{"description":"The Action type","type":"string"},"source":{"description":"The Action source (layout, region or widget)","type":"string"},"sourceId":{"description":"The Action source Id (layoutId, regionId or widgetId)","type":"integer"},"target":{"description":"The Action target (region)","type":"string"},"targetId":{"description":"The Action target Id (regionId)","type":"integer"},"widgetId":{"description":"Widget ID that will be loaded as a result of navigate to Widget Action type","type":"integer"},"layoutCode":{"description":"Layout Code identifier","type":"string"},"layoutId":{"description":"Layout Id associated with this Action","type":"integer"}},"type":"object"}}}}
```

## Delete Action

> Delete an existing Action

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"action","description":"action"}],"servers":[{"url":"/api"}],"paths":{"/action/{actionId}":{"delete":{"tags":["action"],"summary":"Delete Action","description":"Delete an existing Action","operationId":"actionDelete","parameters":[{"name":"actionId","in":"path","description":"The Action ID to Delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"successful operation"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/action.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
